org.keycloak.dom.saml.v2.metadata

## Class AttributeConsumingServiceType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.AttributeConsumingServiceType

-     public class AttributeConsumingServiceType
      extends Object

  Java class for AttributeConsumingServiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeConsumingServiceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ServiceName" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}ServiceDescription" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}RequestedAttribute" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="index" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedShort" />
             <attribute name="isDefault" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `index`
    `protected Boolean` | `isDefault`
    `protected List<RequestedAttributeType>` | `requestedAttribute`
    `protected List<LocalizedNameType>` | `serviceDescription`
    `protected List<LocalizedNameType>` | `serviceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeConsumingServiceType(int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequestedAttribute(RequestedAttributeType req)` Add requestedAttribute
    `void` | `addServiceDescription(LocalizedNameType desc)` Add serviceDescription.
    `void` | `addServiceName(LocalizedNameType service)` Add serviceName
    `int` | `getIndex()` Gets the value of the index property.
    `List<RequestedAttributeType>` | `getRequestedAttribute()` Gets the value of the requestedAttribute property.
    `List<LocalizedNameType>` | `getServiceDescription()` Gets the value of the serviceDescription property.
    `List<LocalizedNameType>` | `getServiceName()` Gets the value of the serviceName property.
    `Boolean` | `isIsDefault()` Gets the value of the isDefault property.
    `void` | `removeRequestedAttribute(RequestedAttributeType req)` remove requestedAttribute
    `void` | `removeServiceDescription(LocalizedNameType desc)` remove serviceDescription.
    `void` | `removeServiceName(LocalizedNameType service)` remove serviceName
    `void` | `setIsDefault(Boolean value)` Sets the value of the isDefault property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceName

          protected List<LocalizedNameType> serviceName

    - #### serviceDescription

          protected List<LocalizedNameType> serviceDescription

    - #### requestedAttribute

          protected List<RequestedAttributeType> requestedAttribute

    - #### index

          protected int index

    - #### isDefault

          protected Boolean isDefault

  - ### Constructor Detail

    - #### AttributeConsumingServiceType

          public AttributeConsumingServiceType(int index)

  - ### Method Detail

    - #### addServiceName

          public void addServiceName(LocalizedNameType service)

      Add serviceName

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### addServiceDescription

          public void addServiceDescription(LocalizedNameType desc)

      Add serviceDescription.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### addRequestedAttribute

          public void addRequestedAttribute(RequestedAttributeType req)

      Add requestedAttribute

      Objects of the following type(s) are allowed in the list `RequestedAttributeType`

    - #### removeServiceName

          public void removeServiceName(LocalizedNameType service)

      remove serviceName

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### removeServiceDescription

          public void removeServiceDescription(LocalizedNameType desc)

      remove serviceDescription.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### removeRequestedAttribute

          public void removeRequestedAttribute(RequestedAttributeType req)

      remove requestedAttribute

      Objects of the following type(s) are allowed in the list `RequestedAttributeType`

    - #### getServiceName

          public List<LocalizedNameType> getServiceName()

      Gets the value of the serviceName property.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### getServiceDescription

          public List<LocalizedNameType> getServiceDescription()

      Gets the value of the serviceDescription property.

      Objects of the following type(s) are allowed in the list `LocalizedNameType`

    - #### getRequestedAttribute

          public List<RequestedAttributeType> getRequestedAttribute()

      Gets the value of the requestedAttribute property.

      Objects of the following type(s) are allowed in the list `RequestedAttributeType`

    - #### getIndex

          public int getIndex()

      Gets the value of the index property.

    - #### isIsDefault

          public Boolean isIsDefault()

      Gets the value of the isDefault property.
      Returns:
        possible object is `Boolean`

    - #### setIsDefault

          public void setIsDefault(Boolean value)

      Sets the value of the isDefault property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2020 JBoss by Red Hat. All rights reserved.